# patagonia

## Scaffolded by Shopify Skeleton Version 3.0.6

Easy Shopify Development 💅

## Important

Your code will _not_ compile unless you provide your Shopify API variables for the deploy task.
Add them in the `.env` they will not be commited or shared this is for security reasons.

## Quick Start

Compile things and auto upload to shopify

```bash
$ npm run code
```

Zip everything and code in production mode

```bash
$ npm run build
```

Full Deployment (useful with CI or during first time upload)

```bash
$ npm run deploy
```

Delete Theme Files. Use with care!! (Good during first time upload)

```bash
$ npm run kill-theme
```

## Features

* Sourcemaps
* JS with Browserify and ES6 (Just require your problems away)
* Split vendor and app code (both JS and CSS)
* SVG System
* Shopify Plus in mind (Checkout layouts)
* Sensible starting points (all in blank but already wired up)
* Based of Gulp 4
* Live reloading with Browser Sync
* Zip everything in the end
